Create Email
POST /api/v1/workspaces/{workspace_id}/emails
Creates a new Email.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Workspace ID
Request Body
Section titled “Request Body ”object
The name of the email.
Example
Welcome EmailThe ID of the Email Design System to use for this email.
Example
1Example
en-USThe ID of the Project this email belongs to.
Example
1Whether to generate the initial email content using AI. When true, a prompt should be provided.
The prompt to use for AI content generation. Only used when create_with_ai is true.
Example
Build a travel email showcasing our Paris, London and Rome destinations.The ID of the Brand Profile to apply to this email. Must belong to the selected Email Design System.
Example
1The ID of the Link Tracking Profile to use for tracking links in this email. If null, no link tracking is applied.
Example
1The ID of the Layout to use for this email. Must belong to the selected Email Design System.
Example
1Responses
Section titled “ Responses ”Successful
object
Example
12345Example
My EmailExample
12345Example
2023-08-23T10:30:00.000ZExample
12345Example
12345object
object
The ID of the conditional applied to this content. When set, the content has a separate variant for each branch of the conditional.
Content organized by branch key, then by locale code.
object
Localized email subject, keyed by BCP47 locale
object
Example
My Email Subject in a Specific Localeobject
The ID of the conditional applied to this content. When set, the content has a separate variant for each branch of the conditional.
Content organized by branch key, then by locale code.
object
Localized email preheader, keyed by BCP47 locale
object
Example
My Email Preheader in a Specific Localeobject
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bedExample
My ComponentThe name of the component definition this instance is based on.
Example
HeadlineThe ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.
Example
1Field values organized by branch key.
object
Field values organized by locale code.
object
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
Example
trueobject
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
object
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bedExample
My ComponentThe name of the component definition this instance is based on.
Example
HeadlineThe ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.
Example
1Field values organized by branch key.
object
Field values organized by locale code.
object
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
Example
trueobject
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
A map of link tracking parameter names to their values for this component instance.
object
Example
en-USExample
2023-08-23T10:30:00.000Zobject
Example
12345Example
JohnExample
SmithExample
https://example.com/profile.jpgExample
Write a welcome email to a new customerExample
generatingExample
12345Example
12345Example
12345Example
2023-08-23T10:30:00.000ZUnauthorized
object
Example
Record not foundForbidden
object
Example
Record not foundUnprocessable Entity
object
Example
Failed to saveobject
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}